org.codehaus.plexus.interpolation

## Interface BasicInterpolator

All Known Subinterfaces:
  Interpolator

All Known Implementing Classes:
  MultiDelimiterStringSearchInterpolator, RegexBasedInterpolator, StringSearchInterpolator

    public interface BasicInterpolator

Knows how to do basic interpolation services. TODO: Really really needs a way to communicate errors.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `interpolate(String input)` See `Interpolator.interpolate(String, String, org.codehaus.plexus.interpolation.RecursionInterceptor)`.
`String` `interpolate(String input, RecursionInterceptor recursionInterceptor)` See `Interpolator.interpolate(String, String, org.codehaus.plexus.interpolation.RecursionInterceptor)`.

### Method Detail

#### interpolate

    String interpolate(String input)
                throws InterpolationException

See `Interpolator.interpolate(String, String, org.codehaus.plexus.interpolation.RecursionInterceptor)`.
This method triggers the use of a `SimpleRecursionInterceptor` instance for protection against expression cycles. It also leaves empty the expression prefix which would otherwise be trimmed from expressions. The result is that any detected expression will be resolved as-is.

Parameters:
  `input` - The input string to interpolate
Throws:
  `InterpolationException`

#### interpolate

    String interpolate(String input,
                       RecursionInterceptor recursionInterceptor)
                throws InterpolationException

See `Interpolator.interpolate(String, String, org.codehaus.plexus.interpolation.RecursionInterceptor)`.
This method leaves empty the expression prefix which would otherwise be trimmed from expressions. The result is that any detected expression will be resolved as-is.

Parameters:
  `input` - The input string to interpolate
  `recursionInterceptor` - Used to protect the interpolation process from expression cycles, and throw an exception if one is detected.
Throws:
  `InterpolationException`